Package org.apache.storm.kafka.trident

## Class TridentKafkaClientTopologyNamedTopics

- java.lang.Object
- - org.apache.storm.kafka.trident.TridentKafkaClientTopologyNamedTopics

- Direct Known Subclasses:
    `TridentKafkaClientTopologyWildcardTopics`

      public class TridentKafkaClientTopologyNamedTopics
      extends Object

  This example sets up a few topologies to put random strings in Kafka topics via the KafkaBolt, and shows how to set up a Trident topology that reads from some Kafka topics using the KafkaSpout.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TridentKafkaClientTopologyNamedTopics()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(String[] args)` |
    `protected KafkaTridentSpoutConfig<String,​String>` | `newKafkaSpoutConfig​(String bootstrapServers)` |
    `protected void` | `run​(String[] args)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TridentKafkaClientTopologyNamedTopics

          public TridentKafkaClientTopologyNamedTopics()

  - ### Method Detail

    - #### newKafkaSpoutConfig

          protected KafkaTridentSpoutConfig<String,​String> newKafkaSpoutConfig​(String bootstrapServers)

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### run

          protected void run​(String[] args)
                      throws AlreadyAliveException,
                             InvalidTopologyException,
                             AuthorizationException,
                             InterruptedException

      Throws:
        `AlreadyAliveException`
        `InvalidTopologyException`
        `AuthorizationException`
        `InterruptedException`